// 配置游戏中的各种数据
module.exports = {
    // 什么都没有的状态
    BALL_STATE_NONE: 0,
    // 发球时候的状态
    BALL_STATE_SERVE_START: 1,
    BALL_STATE_SERVE_RIGHT: 2,
    BALL_STATE_SERVE_MID: 3,
    BALL_STATE_SERVE_LEFT: 4,

    // 我方接球时候的状态
    BALL_STATE_MINE_LEFT_TO_RIGHT_FLY: 5,
    BALL_STATE_MINE_LEFT_TO_RIGHT_FLIP: 6,
    BALL_STATE_MINE_LEFT_TO_LEFT_FLY: 7,
    BALL_STATE_MINE_LEFT_TO_LEFT_FLIP: 8,
    BALL_STATE_MINE_RIGHT_TO_RIGHT_FLY: 9,
    BALL_STATE_MINE_RIGHT_TO_RIGHT_FLIP: 10,

    // 敌方接球时候的状态
    BALL_STATE_RIVAL_RIGHT_TO_LEFT_FLY: 11,
    BALL_STATE_RIVAL_RIGHT_TO_LEFT_FLIP: 12,

    // 飞翔中
    BALL_STATE_FLYING: 50,

    // 我方左侧，可以接球
    BALL_STATE_MINE_LEFT_PAT: 51,
    // 我方左侧，可以削球
    BALL_STATE_MINE_LEFT_PEEL: 52,
    // 我方左侧，两种方式都可以
    BALL_STATE_MINE_LEFT_ALL: 53,
    // 我方右侧，可以接球
    BALL_STATE_MINE_RIGHT_PAT: 54,
    // 我方右侧，可以削球
    BALL_STATE_MINE_RIGHT_PEEL: 55,
    // 我方右侧，两种方式都可以
    BALL_STATE_MINE_RIGHT_ALL: 56,

    // 敌方左侧，可以接球
    BALL_STATE_RIVAL_LEFT_PAT: 57,
    // 敌方左侧，可以削球
    BALL_STATE_RIVAL_LEFT_PEEL: 58,
    // 敌方左侧，两种方式都可以
    BALL_STATE_RIVAL_LEFT_ALL: 59,
    // 敌方右侧，可以接球
    BALL_STATE_RIVAL_RIGHT_PAT: 60,
    // 敌方右侧，可以削球
    BALL_STATE_RIVAL_RIGHT_PEEL: 61,
    // 敌方右侧，两种方式都可以
    BALL_STATE_RIVAL_RIGHT_ALL: 62,

    // 结束后的状态
    BALL_STATE_DROP_IN_MINE: 100,
    BALL_STATE_DROP_IN_RIVAL: 101,
}