// 开始场景的控制器
var RankCtrl = require("rankctrl")
cc.Class({
    extends: cc.Component,

    properties: {
        
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start () {
        this.initValues();
        this.wxLogin();
    },

    // 初始化
    // 初始化数据
    initValues:function() {
        // 加载全局变量
        this.global = require("global")
        this.rank = this.getComponent(RankCtrl);
    },

    // update (dt) {},


    // 微信登陆
    wxLogin:function() {
        var self = this
        if (cc.sys.platform == cc.sys.WECHAT_GAME) {
            // 首先判断是否首次打开
            if (this.global.firstOpen) {
                // 配置分享信息
                wx.showShareMenu({
                    withShareTicket: true,
                    success: function (res) {
                        // 分享成功
                        console.log('配置成功')
                        console.log(res)
                    },
                    fail: function (res) {
                        // 分享失败
                        console.log('配置失败')
                        console.log(res)
                    }
                })
            }

            // 判断是否登录
            if (this.global.login == false) {
                // 微信登陆
                wx.login({
                    success: function () {
                        console.log ("登陆成功 ... ")
                        wx.getUserInfo({
                            success: function(res) {
                                cc.log ("返回的json数据 : " + res.rawData)
                                var rawData = JSON.parse(res.rawData)
                                cc.log ("昵称 : " + rawData.nickName)
                                self.global.name = rawData.nickName
                                self.global.login = true

                                // 对昵称进行截取，如果长度大于6，则为xx...的模式
                                if (self.global.name.length > 6) {
                                    var string = self.global.name
                                    self.global.name = string.slice(0, 6)
                                }
                            }, fail: function(res) {
                                self.global.name = ""
                                console.log ("获取信息失败 ... " + res.errMsg)
                            }
                        })
                    }
                })
            }
        }
    },

    // 各种事件
    // 好友
    friendClicked:function() {
        cc.log("好友 。。。 ");
    },

    // 排行
    rankClicked:function() {
        cc.log("排行 。。。 ");

        cc.director.loadScene("rankscene")
    },

    // 开始
    startClicked:function() {
        cc.log("开始 。。。 ");
        this.global.infiMode = false;
        cc.director.loadScene("mainscene")
    },

    // 无限
    infiClicked:function() {
        cc.log("无限 。。。 ");
        this.global.infiMode = true;
        cc.director.loadScene("mainscene")
    },
});
